<form [formGroup]="contactForm">
        
            <div class="example-container mat-elevation-z4 " fxLayout="column"  fxLayoutGap="10px" >

                <div fxLayout="row" class="div-border"  fxLayoutGap="10px" >
                        <div   fxFlex="15"  fxLayoutAlign="left" fxLayout="column" fxLayoutGap="5px" >
                                <label class="required-label-color" >First Name</label>  
                            <input type="hidden" [(ngModel)]="siteContactModel.siteContactRequestID" formControlName="hdnContactIDCtrl" />
                            <mat-form-field  appearance="outline" >
                                <input matInput type="text" [(ngModel)]="siteContactModel.firstName" class="txtuppercase" formControlName="firstNameCtrl" maxlength="50" alphabetOnly />
                            </mat-form-field>
                        </div>
                        <div   fxFlex="15"    fxLayoutAlign="left" fxLayout="column" fxLayoutGap="5px">
                                <label class="required-label-color">Last Name</label>  
                            <mat-form-field appearance="outline"  >
                                <input matInput type="text" [(ngModel)]="siteContactModel.lastName" class="txtuppercase" formControlName="lastNameCtrl" maxlength="50" alphabetOnly />
                             </mat-form-field>
                        </div>
                        <div   fxFlex="5"   fxLayoutAlign="left" fxLayout="column" fxLayoutGap="5px">
                                <label>Title</label>  
                            <mat-form-field appearance="outline"   >
                                <input matInput type="text" [(ngModel)]="siteContactModel.title" class="txtuppercase" formControlName="titleCtrl" maxlength="25" />
                            </mat-form-field>
                        </div>
                        <div   fxFlex="15"    fxLayoutAlign="left" fxLayout="column" fxLayoutGap="5px">  
                                <label class="required-label-color">Email</label>  
                            <mat-form-field appearance="outline"  >
                                     <input matInput type="text" [(ngModel)]="siteContactModel.email" formControlName="emailCtrl" maxlength="50" />
                            </mat-form-field>
                        </div>
                        <div   fxFlex="8"    fxLayoutAlign="left" fxLayout="column" fxLayoutGap="5px" >   
                                <label class="required-label-color">Office Phone</label>  
                            <mat-form-field appearance="outline" >
                                 <input matInput type="text" [(ngModel)]="siteContactModel.phone" formControlName="officephoneCtrl" maxlength="12" mask="000-000-0000" />
                            </mat-form-field>
                        </div>
                        <div   fxFlex="5"    fxLayoutAlign="left" fxLayout="column" fxLayoutGap="5px" >   
                            <label>Extn</label>  
                        <mat-form-field appearance="outline" >
                                <input matInput digitOnly type="text" [(ngModel)]="siteContactModel.extension" formControlName="officephoneExtnCtrl" maxlength="4" />
                        </mat-form-field>
                        </div>
                        <div   fxFlex="8" fxLayoutAlign="left" fxLayout="column" fxLayoutGap="5px" >   
                                <label>Cell Phone</label>  
                            <mat-form-field appearance="outline" >
                                <input matInput type="text" [(ngModel)]="siteContactModel.alternatePhone" formControlName="cellphoneCtrl"  maxlength="12" mask="000-000-0000" />
                            </mat-form-field>
                        </div>
                        <!-- <div   fxFlex="5"   fxLayoutAlign="left" fxLayout="column" fxLayoutGap="5px" >   
                            <label>Extn</label>  
                        <mat-form-field appearance="outline" >
                            <input matInput type="text" [(ngModel)]="siteContactModel.alternateExtension" formControlName="cellphoneExtnCtrl"  />
                        </mat-form-field>
                        </div> -->
                        <div   fxFlex="10"    fxLayoutAlign="left" fxLayout="column" fxLayoutGap="5px">
                                <label>Fax</label>  
                            <mat-form-field appearance="outline"  >
                                <input matInput type="text" [(ngModel)]="siteContactModel.fax" formControlName="faxCtrl" maxlength="12" mask="000-000-0000"  />
                            </mat-form-field>
                        </div>
                        <div   fxFlex="5"    fxLayoutAlign="left" fxLayout="column" fxLayoutGap="5px" disabled= "true" >
                                <label> Sys Admin</label>  
                             <mat-checkbox  formControlName="sysadminNameCtrl" [(ngModel)]="siteContactModel.isSysAdmin" appearance="outline" style="width: 50px;">
                             </mat-checkbox>
                        </div>
                        <div   fxFlex="5"  fxLayout="column" fxLayoutGap="5px" >
                                <label> &nbsp;</label>  
                            <button mat-raised-button color="primary" (click)="saveSiteContact()">Save</button>
                        </div>
            </div>

            <div fxLayout="column" fxLayoutGap="5px" class="div-border">
                <ag-grid-angular #agGrid id="contactGrid" style="width: 100%"
                  class="ag-theme-balham my-grid" [columnDefs]="columnDefs" [defaultColDef]="defaultColDef"
                  [rowData]="SiteContactsData" [rowSelection]="rowSelection" [singleClickEdit]="true"
                  [floatingFilter]="false" [animateRows]="true" [gridOptions]="gridOptions"
                  [pagination]="pagination" [paginationPageSize]="10" [context]="context"
                  [frameworkComponents]="frameworkComponents" (firstDataRendered)="onFirstDataRendered($event)"
                  [overlayLoadingTemplate]="overlayLoadingTemplate" [overlayNoRowsTemplate]="overlayNoRowsTemplate"
                  (gridReady)="onGridReady($event)">
                </ag-grid-angular>
            </div>

            </div>



    </form>